Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | PROPERTY | CONSTR | METHOD | DETAIL: FIELD | PROPERTY | CONSTR | METHOD

## org.codehaus.groovy.grails.orm.hibernate.cfg
[Groovy] Class Table

    java.lang.Object
      org.codehaus.groovy.grails.orm.hibernate.cfg.Table

    class Table

Represents a table definition in GORM.

Authors:
  Graeme Rocher

Since:
  1.1 Created: Jan 21, 2009

Property Summary
`java.lang.String` | `catalog`
`java.lang.String` | `name`
`java.lang.String` | `schema`

Method Summary

Methods inherited from class java.lang.Object
java.lang.Object#wait(), java.lang.Object#wait(long), java.lang.Object#wait(long, int), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()

Property Detail

### catalog

    java.lang.String catalog

### name

    java.lang.String name

### schema

    java.lang.String schema

Groovy Documentation